#!/bin/bash

#this script do the following: 
#1. enables JMX and the Java built-in profiler (the latter is optional)
#2. consolidates the install/start/stop scripts

echo $0 $@

if [[ $# < 2 ]]; then
        echo "Usage: $(basename $0) releasedir action [hprof]"
        exit
fi

reldir=$1
shift
action=$1
shift

jvmopts=" -server -Xms512m -Xmx512m "
if [[ $action != stop && $action != install ]]; then
        jvmopts=$jvmopts" -Dcom.sun.management.jmxremote.port=9999 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.local.only=false "
fi

hprof=$1
if [[ $hprof == hprof && $action == start ]]; then
        shift
        jvmopts=$jvmopts" -agentlib:hprof=cpu=samples,interval=10,file=hprof.`date +%F-%H-%M-%S`.txt"
fi

jvmopts=$jvmopts" $@"

servercmd="java $jvmopts -jar XTCserver.jar $action"

pushd $reldir/XTCserver > /dev/null
$servercmd
popd > /dev/null